import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { Injectable } from '@nestjs/common';
import { Schedule } from '../entities/schedule.entity';

@Injectable()
export class ScheduleRepository extends EntityRepository<Schedule> {
  constructor(readonly em: EntityManager) {
    super(em, Schedule);
  }
}
